---@meta

---@class AGM_FirstPerson_C : ARGGameMode
---@field UberGraphFrame FPointerToUberGraphFrame
---@field DefaultSceneRoot USceneComponent
---@field ['Game Failed'] boolean
---@field HasAutoPossessed boolean
---@field NoValidStartingCheckpointFound boolean
---@field SpawnedVehicle ABP_Vehicle_Winnebago_01_C
---@field SaveGame UBP_SessionSaveGame_C
---@field BufferBeforeFailIsPossible double
---@field SaveGameMetadata UBP_SaveGameMetadata_C
---@field PlayersToTryToRespawn TArray<AController>
---@field bHAXX_ForceSpawnPlayer boolean
local AGM_FirstPerson_C = {}

---@param RestartOptions FString
function AGM_FirstPerson_C:GetRestartOptions(RestartOptions) end
---@param Player AController
---@param StartSeat AActor
function AGM_FirstPerson_C:RestartPlayerAtStartSpotSeated(Player, StartSeat) end
function AGM_FirstPerson_C:DelaySpawnPlayers() end
---@param NewPlayer AController
---@param SpawnTransform FTransform
---@return APawn
function AGM_FirstPerson_C:SpawnDefaultPawnAtTransform(NewPlayer, SpawnTransform) end
---@param Controller AController
function AGM_FirstPerson_C:Internal_TryToSeatRestartedPlayer(Controller) end
function AGM_FirstPerson_C:SaveSession() end
function AGM_FirstPerson_C:SetupSave() end
function AGM_FirstPerson_C:BroadcastSTFU() end
---@param PlayerController APlayerController
function AGM_FirstPerson_C:AutoPossess(PlayerController) end
---@param PlayerController APlayerController
function AGM_FirstPerson_C:TryToAutoPossess(PlayerController) end
function AGM_FirstPerson_C:CheckGameFailedState() end
---@param StartingCheckpoint ABP_CheckPoint_C
function AGM_FirstPerson_C:FindStartingCheckPoint(StartingCheckpoint) end
---@param Player AController
---@param IncomingName FString
---@return AActor
function AGM_FirstPerson_C:FindPlayerStart(Player, IncomingName) end
function AGM_FirstPerson_C:ReceiveBeginPlay() end
---@param DeltaSeconds float
function AGM_FirstPerson_C:ReceiveTick(DeltaSeconds) end
function AGM_FirstPerson_C:DelayedServerTravel() end
---@param NewPlayer APlayerController
function AGM_FirstPerson_C:K2_PostLogin(NewPlayer) end
---@param PlayerController APlayerController
---@param Delay float
function AGM_FirstPerson_C:DelayedAutoPossess(PlayerController, Delay) end
---@param CheckpointIndex int32
function AGM_FirstPerson_C:RestartFromCheckpoint(CheckpointIndex) end
---@param String FString
---@param Options FString
function AGM_FirstPerson_C:K2_InitGame(String, Options) end
---@param NewPlayer AController
function AGM_FirstPerson_C:K2_OnRestartPlayer(NewPlayer) end
---@param Controller AController
function AGM_FirstPerson_C:TryToSeatRestatedPlayer(Controller) end
function AGM_FirstPerson_C:OnPreSeamlessTravel() end
---@param NewPlayer AController
function AGM_FirstPerson_C:OnFailedToRestartPlayer(NewPlayer) end
---@param Player AController
function AGM_FirstPerson_C:TryToForceSeatPlayer(Player) end
---@param bIsFromLoad boolean
function AGM_FirstPerson_C:SetIsFromLoad(bIsFromLoad) end
---@param EntryPoint int32
function AGM_FirstPerson_C:ExecuteUbergraph_GM_FirstPerson(EntryPoint) end


